My Oracle Support Banner

Essbase Marketplace - Collect_Diagnostics Fails When There Was Unicode Directory Under One Of The Application Logs (Doc ID 2853663.1)

Last updated on AUGUST 24, 2022

Applies to:

Essbase for OCI Marketplace - Version 21.2.2.0.0 Marketplace and later
Information in this document applies to any platform.

Symptoms

When running diagnostics -

[oracle@essbaseserver vmtools]$ ./collect-diagnostics.sh /tmp/diagnostics --vault
Running Essbase diagnostics
Collecting Essbase database statistics
MaxL: login '*****' identified by '*****' on 'localhost' ==> ok
MaxL: set column_width 40; display session all ==> ok
MaxL: display database all ==> ok
MaxL: display lock all ==> ok
MaxL: set column_width 256; display filter row all; set column_width 40 ==> ok
MaxL: set column_width 256; display variable all; set column_width 40 ==> ok
MaxL: display location alias all ==> ok
Failure on [display calculation all]: WARNING - 1244021 - Database APP1.DB1 must be l
WARNING - 1244021 - Database APP1.DB1 must be loaded.
WARNING - 1244021 - Database APP2.DB2 must be loaded.
WARNING - 1244021 - Database APP3.DB3 must be loaded.
WARNING - 1244021 - Database APP4.DB4 must be loaded.
WARNING - 1244021 - Database APP5.DB5 must be loaded.
WARNING - 1244021 - Database APP6.DB6 must be loaded.
WARNING - 1244021 - Database APP7.DB7 must be loaded.
WARNING - 1244021 - Database APP8.DB8 must be loaded.
WARNING - 1244021 - Database APP9.DB9 must be loaded.
ERROR - 1022001 - Administrator Has Temporarily Disabled User Update Commands.
ERROR - 1200448 - [Unknown error:java.lang.NullPointerException].

MaxL: set column_width 40; display database all ==> ok
MaxL: logout ==> ok
MaxL: exit ==> ok
Error while zipping directory and its contents
Traceback (most recent call last):
File "/usr/lib64/python3.6/zipfile.py", line 455, in _encodeFilenameFlags
return self.filename.encode('ascii'), self.flag_bits
UnicodeEncodeError: 'ascii' codec can't encode character '\udcab' in position 60: ordinal not in range(128)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/u01/vmtools/diagnostics/ESSCSLogCollector.py", line 252, in createZip
zf.write(absname, relativename)
File "/usr/lib64/python3.6/zipfile.py", line 1642, in write
self.fp.write(zinfo.FileHeader(False))
File "/usr/lib64/python3.6/zipfile.py", line 445, in FileHeader
filename, flag_bits = self._encodeFilenameFlags()
File "/usr/lib64/python3.6/zipfile.py", line 457, in _encodeFilenameFlags
return self.filename.encode('utf-8'), self.flag_bits | 0x800
UnicodeEncodeError: 'utf-8' codec can't encode character '\udcab' in position 60: surrogates not allowed
'utf-8' codec can't encode character '\udcab' in position 60: surrogates not allowed
Exception ignored in: <bound method ZipFile.__del__ of <zipfile.ZipFile [closed]>>
Traceback (most recent call last):
File "/usr/lib64/python3.6/zipfile.py", line 1686, in __del__
self.close()
File "/usr/lib64/python3.6/zipfile.py", line 1704, in close
self._write_end_record()
File "/usr/lib64/python3.6/zipfile.py", line 1751, in _write_end_record
filename, flag_bits = zinfo._encodeFilenameFlags()
File "/usr/lib64/python3.6/zipfile.py", line 457, in _encodeFilenameFlags
return self.filename.encode('utf-8'), self.flag_bits | 0x800
UnicodeEncodeError: 'utf-8' codec can't encode character '\udcab' in position 60: surrogates not allowed
Error while zipping directory and its contents
Traceback (most recent call last):
File "/usr/lib64/python3.6/zipfile.py", line 455, in _encodeFilenameFlags
return self.filename.encode('ascii'), self.flag_bits
UnicodeEncodeError: 'ascii' codec can't encode character '\udcab' in position 64: ordinal not in range(128)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/u01/vmtools/diagnostics/ESSCSLogCollector.py", line 252, in createZip
zf.write(absname, relativename)
File "/usr/lib64/python3.6/zipfile.py", line 1642, in write
self.fp.write(zinfo.FileHeader(False))
File "/usr/lib64/python3.6/zipfile.py", line 445, in FileHeader
filename, flag_bits = self._encodeFilenameFlags()

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.